import formatBase from '../../utils/date/formatDate';
import parseBase from '../../utils/date/parseDate';
export * from './getValueInRangePicker';
export * from './getValueInSinglePicker';
export * from './dateUtils';
export { parseBase, formatBase };
export function parseDate(format, dateValue) {
    return dateValue ? parseBase(dateValue, format) : null;
}
export function formatDate(format, date) {
    return date ? formatBase(date, format) : '';
}
export function formatDateRange(dates, format) {
    return [formatDate(format, dates[0]), formatDate(format, dates[1])];
}
export function parseDateRange(dates, format) {
    return [parseDate(format, dates[0]), parseDate(format, dates[1])];
}
